## libqtdbustest 0.1+13.10.20130815

=== src/CMakeLists.txt ===
include(GenerateExportHeader)
add_compiler_export_flags()

add_subdirectory(watchdog)
add_subdirectory(libqtdbustest)

## libqtdbustest 0.2%2Bbzr42%2Brepack1

=== debian/control ===
Source: libqtdbustest
Section: devel
Priority: optional
Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               debhelper (>= 11~),
               dpkg-dev (>= 1.16.1.1),
               gettext,
               google-mock (>= 1.6.0+svn437),
               pkg-config,
               qtbase5-dev,
               python3-dbusmock,
               dbus,
Standards-Version: 4.3.0
Homepage: https://launchpad.net/libqtdbustest
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libqtdbustest.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libqtdbustest

Package: libqtdbustest1
Section: libs
Architecture: any
Multi-Arch: same
Depends: dbus,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library for testing DBus interactions using Qt
 A simple library for testing Qt based DBus services and clients. This
 library is relevant for running unit tests against DBus for Qt
 applications.
 .
 This package contains the shared library.

Package: libqtdbustest1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtdbustest1 (= ${binary:Version}),
         ${misc:Depends},
Description: Library for testing DBus interactions using Qt (development files)
 A simple library for testing Qt based DBus services and clients. This
 library is relevant for running unit tests against DBus for Qt
 applications.
 .
 This package contains header files needed for development.

Package: qtdbustest-runner
Architecture: any
Depends: libqtdbustest1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         gvfs-backends,
Description: Library for testing DBus interactions using Qt (test runner executable)
 The libqtdbustest library is a simple library for testing Qt based DBus
 services and clients.
 .
 This package contains a simple executable for running a test script
 under a private DBus environment.

## libqtdbustest 0.2+14.04.20140325

=== CMakeLists.txt ===
project(libqtdbustest CXX)
cmake_minimum_required(VERSION 2.8.9)

set(API_VERSION 1)
set(ABI_VERSION 1)

set(GETTEXT_PACKAGE libqtdbustest)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

find_package(PkgConfig REQUIRED)

find_package(Qt5Core REQUIRED)
include_directories(${Qt5Core_INCLUDE_DIRS})

find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

find_package(Qt5Test REQUIRED)
include_directories(${Qt5Test_INCLUDE_DIRS})

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")
set(SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(SOURCE_BINARY_DIR "${CMAKE_BINARY_DIR}/src")
include_directories(${SOURCE_DIR})
include_directories(${SOURCE_BINARY_DIR})

include(GNUInstallDirs)
include(Coverage)

# Workaround for libexecdir on debian
if (EXISTS "/etc/debian_version") 
  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
endif()

set(LOCALE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
set(DBUS_SYSTEM_CONFIG_FILE "${CMAKE_INSTALL_FULL_DATADIR}/libqtdbustest/system.conf")
set(DBUS_SESSION_CONFIG_FILE "${CMAKE_INSTALL_FULL_DATADIR}/libqtdbustest/session.conf")
set(QTDBUSTEST_WATCHDOG_BIN "${CMAKE_INSTALL_FULL_LIBEXECDIR}/libqtdbustest/watchdog")

add_definitions(
	-std=c++11
	-fno-permissive
	-pedantic
	-Wall
	-Wextra
)

#set(DOXYFILE_SOURCE_DIR "include")
#set(DOXYFILE_EXTRA_SOURCES "doc")
#include(UseDoxygen)
#if(DOXYGEN_FOUND AND BUILD_DOXYGEN)
#	install(
#		DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/doc/html
#		DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/libusermetrics-doc/
#	)
#endif()

configure_file(
	"${SOURCE_DIR}/libqtdbustest/config.h.in"
	"${SOURCE_BINARY_DIR}/libqtdbustest/config.h"
)


#add_subdirectory("po")
add_subdirectory("src")
add_subdirectory("data")

enable_testing()
add_subdirectory(tests)

ADD_CUSTOM_TARGET(
	check
	${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
)

=== tests/CMakeLists.txt ===

set(CMAKE_AUTOMOC OFF)
include(FindGMock)
set(CMAKE_AUTOMOC ON)

find_package("Valgrind" REQUIRED)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})

add_definitions(-DTEST_DBUS_SESSION_CONFIG_FILE="${DATA_DIR}/session.conf")
add_definitions(-DTEST_DBUS_SYSTEM_CONFIG_FILE="${DATA_DIR}/system.conf")
add_definitions(-DTEST_QTDBUSTEST_WATCHDOG_BIN="${CMAKE_BINARY_DIR}/src/watchdog/watchdog")

set(
	UNIT_TESTS_SRC
	main.cpp
	libqtdbustest/TestDBusTestRunner.cpp
	libqtdbustest/TestQProcessDBusService.cpp
	libqtdbustest/TestSuicidalProcess.cpp
)

add_executable(
	unit-tests
	${UNIT_TESTS_SRC}
)

qt5_use_modules(
	unit-tests
	Core
	DBus
	Test
)

target_link_libraries(
	unit-tests
	qtdbustest
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_valgrind_test(
	unit-tests
	unit-tests
)

## libqtdbustest 0.2+16.04.20160216

=== data/CMakeLists.txt ===

install(
	FILES
	session.conf
	system.conf
	DESTINATION
	"${CMAKE_INSTALL_DATADIR}/libqtdbustest/"
)

## libqtdbustest 0.2+17.04.20170106

=== CMakeLists.txt ===

set(CMAKE_AUTOMOC OFF)
find_package(GMock)
set(CMAKE_AUTOMOC ON)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})

add_definitions(-DTEST_DBUS_SESSION_CONFIG_FILE="${DATA_DIR}/session.conf")
add_definitions(-DTEST_DBUS_SYSTEM_CONFIG_FILE="${DATA_DIR}/system.conf")
add_definitions(-DTEST_QTDBUSTEST_WATCHDOG_BIN="${CMAKE_BINARY_DIR}/src/watchdog/watchdog")

set(
	UNIT_TESTS_SRC
	main.cpp
	libqtdbustest/TestDBusTestRunner.cpp
	libqtdbustest/TestQProcessDBusService.cpp
	libqtdbustest/TestSuicidalProcess.cpp
)

add_executable(
	unit-tests
	${UNIT_TESTS_SRC}
)

qt5_use_modules(
	unit-tests
	Core
	DBus
	Test
)

target_link_libraries(
	unit-tests
	qtdbustest
	${GTEST_LIBRARIES}
	${GMOCK_LIBRARIES}
)

add_test(
	unit-tests
	unit-tests
)

## libqtdbustest 0.2+bzr42+repack1

=== CMakeLists.txt ===
project(libqtdbustest CXX)
cmake_minimum_required(VERSION 2.8.9)

set(API_VERSION 1)
set(ABI_VERSION 1)

set(GETTEXT_PACKAGE libqtdbustest)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

find_package(PkgConfig REQUIRED)

find_package(Qt5Core REQUIRED)
include_directories(${Qt5Core_INCLUDE_DIRS})

find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

find_package(Qt5Test REQUIRED)
include_directories(${Qt5Test_INCLUDE_DIRS})

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(DATA_DIR "${CMAKE_SOURCE_DIR}/data")
set(SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(SOURCE_BINARY_DIR "${CMAKE_BINARY_DIR}/src")
include_directories(${SOURCE_DIR})
include_directories(${SOURCE_BINARY_DIR})

include(GNUInstallDirs)

# Workaround for libexecdir on debian
if (EXISTS "/etc/debian_version") 
  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
endif()

set(LOCALE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
set(DBUS_SYSTEM_CONFIG_FILE "${CMAKE_INSTALL_FULL_DATADIR}/libqtdbustest/system.conf")
set(DBUS_SESSION_CONFIG_FILE "${CMAKE_INSTALL_FULL_DATADIR}/libqtdbustest/session.conf")
set(QTDBUSTEST_WATCHDOG_BIN "${CMAKE_INSTALL_FULL_LIBEXECDIR}/libqtdbustest/watchdog")

add_definitions(
	-std=c++11
	-fno-permissive
	-pedantic
	-Wall
	-Wextra
)

configure_file(
	"${SOURCE_DIR}/libqtdbustest/config.h.in"
	"${SOURCE_BINARY_DIR}/libqtdbustest/config.h"
)

add_subdirectory("src")
add_subdirectory("data")

enable_testing()
add_subdirectory(tests)

ADD_CUSTOM_TARGET(
	check
	${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
)

find_package(CoverageReport)
enable_coverage_report(
  TARGETS
    qtdbustest
    qdbus-simple-test-runner
    unit-tests
    watchdog
  FILTER
    ${CMAKE_SOURCE_DIR}/tests/*
    ${CMAKE_BINARY_DIR}/*
  TESTS
    unit-tests
)

=== src/libqtdbustest/CMakeLists.txt ===

set(
	QTDBUSTEST_SRC
	DBusTestRunner.cpp
	DBusService.cpp
	QProcessDBusService.cpp
	SuicidalProcess.cpp
)

set(
	QTDBUSTEST_PUBLIC_HEADERS
	"${CMAKE_CURRENT_BINARY_DIR}/config.h"
	DBusTestRunner.h
	DBusService.h
	QProcessDBusService.h
	SuicidalProcess.h
)

add_library(
	qtdbustest
	SHARED
	${QTDBUSTEST_SRC}
)

qt5_use_modules(
	qtdbustest
	Core
	DBus
	Test
)

set_target_properties(
	qtdbustest
	PROPERTIES
	VERSION ${API_VERSION}.0.0
	SOVERSION ${ABI_VERSION}
	PUBLIC_HEADER "${QTDBUSTEST_PUBLIC_HEADERS}"
)

install(
	TARGETS qtdbustest
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libqtdbustest-${API_VERSION}/libqtdbustest"
)

# Package config

set(LIBQTDBUSTEST_PC "${CMAKE_CURRENT_BINARY_DIR}/libqtdbustest-${API_VERSION}.pc")
configure_file("libqtdbustest.pc.in" "${LIBQTDBUSTEST_PC}" @ONLY)

install(
	FILES "${LIBQTDBUSTEST_PC}"
	DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
)

=== src/qdbus-test-runner/CMakeLists.txt ===

add_executable(
	qdbus-simple-test-runner
	qdbus-simple-test-runner.cpp
)

target_link_libraries(
	qdbus-simple-test-runner
	qtdbustest
)

qt5_use_modules(
	qdbus-simple-test-runner
	Core
)

install(
	TARGETS qdbus-simple-test-runner
	RUNTIME DESTINATION "bin"
)

=== src/watchdog/CMakeLists.txt ===

add_executable(
	watchdog
	Watchdog.cpp
	main.cpp
)

qt5_use_modules(
	watchdog
	Core
)

install(
	TARGETS watchdog
	RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/libqtdbustest"
)

=== debian/changelog ===
libqtdbustest (0.2+bzr42+repack1-11) unstable; urgency=medium

  * debian/control: Bump to DH compat level version 13. This should
    mitigate the infamous libpam-systemd/schroot bug, which defines
    XDG_RUNTIME to a non-existing directory.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Dec 2020 16:04:54 +0100

libqtdbustest (0.2+bzr42+repack1-10) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Drop B-D on transitional google-mock package, add B-D on googletest
      instead. Add B-D on libgtest-dev (required for recent cmake-extras).
    + Update versioned B-D on cmake-extras to (>= 1.5-7~).
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Dec 2020 12:04:57 +0100

libqtdbustest (0.2+bzr42+repack1-9) unstable; urgency=medium

  * debian/patches:
    + Drop patch 1002_fork-dbus-daemons.patch. Red hering.
  * debian/patches:
    + Add 1003_no-QProcess-waitForstarted-timeout.patch. Never timeout
      while waiting for test runner DBus daemons to appear.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2020 12:54:23 +0100

libqtdbustest (0.2+bzr42+repack1-8) unstable; urgency=medium

  * debian/patches:
    + Add 1002_fork-dbus-daemons.patch. Fork DBus test runner daemons to
      background.
  * debian/rules:
    + Run tests with -V cmdline arg.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2020 12:05:01 +0100

libqtdbustest (0.2+bzr42+repack1-7) unstable; urgency=medium

  * debian/changelog:
    + Fix bug reference in previous upload stanza.
  * debian/rules:
    + Undefine env vars DBUS_{SESSION,SYSTEM}_BUS_ADDRESS to hide existing DBus
      instance from the package build.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 09 Mar 2020 10:33:27 +0100

libqtdbustest (0.2+bzr42+repack1-6) unstable; urgency=medium

  * debian/rules:
    + Let's be honest to ourselves and dig into the failing builds on some
      architectures once more. (See #879937).
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,compat}:
    + Bump DH compat level to version 12.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Mar 2020 22:26:58 +0100

libqtdbustest (0.2+bzr42+repack1-5) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
  * debian/rules:
    + Ignore test failures. Locally, tests always succeed. Only on Debian's
      buildd infrastructure, test failures can be observed at random. This
      is not beautiful, but alas. (Closes: #879937).
    + Honour 'nocheck' in DEB_BUILD_OPTONS. Thanks lintian.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/libqtdbustest1.symbols:
    + Add Build-Depends-Package: meta data field. Thanks lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Feb 2019 09:57:33 +0100

libqtdbustest (0.2+bzr42+repack1-4) unstable; urgency=medium

  * debian/patches:
    + Add 2001_run-test-in-verbose-mode.patch. Run unit tests with
      QDBUS_DEBUG=1.
  * debian/rules:
    + Run check target, rather than test target. It produces the wanted debug
      output.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Apr 2018 13:34:31 +0200

libqtdbustest (0.2+bzr42+repack1-3) unstable; urgency=medium

  * debian/patches:
    + Add 1001_use-full-path-when-executing-sleep.patch. Always launch sleep
      executable with full path. Fixes a test failure observed in buster, not
      present in stretch.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Apr 2018 23:00:07 +0200

libqtdbustest (0.2+bzr42+repack1-2) unstable; urgency=medium

  * Test builds against architectures where the previous upload failed
    (obviously a series of artifact FTBFSes). (Closes: #879937).

  * debian/rules:
    + Add override_dh_missing and move --fail-missing option there.
    + Ship auto-generated ChangeLog.bzr as upstream ChangeLog.
    + Drop now unneeded --parallel argument from dh call.
  * debian/control:
    + Fix typo in Maintainer: field (in the full name).
    + Add B-Ds: gcovr, lcov.
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/{control,compat}:
    + Bump to DH version level 11.
  * debian/copyright:
    + Explain why we repacked the orig tarball.
    +  Use secure URI for copyright format reference.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 23 Mar 2018 13:30:25 +0100

libqtdbustest (0.2+bzr42+repack1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #879472).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Oct 2017 01:22:39 +0200

libqtdbustest (0.2+17.04.20170106-0ubuntu1) zesty; urgency=medium

  * Compatibility with unversioned cmake-extras modules (LP: #1563573)

 -- Pete Woods <pete.woods@canonical.com>  Fri, 06 Jan 2017 10:44:47 +0000

libqtdbustest (0.2+16.04.20160216-0ubuntu1) xenial; urgency=medium

  [ Gerry Boland ]
  * Increase timeout when waiting for mock dbus service to appear on the
    bus. (LP: #1541854)

 -- Michał Sawicz <michal.sawicz@canonical.com>  Tue, 16 Feb 2016 09:29:55 +0000

libqtdbustest (0.2+15.10.20150918-0ubuntu1) wily; urgency=medium

  * Fix building on wily (LP: #1451507)

 -- Pete Woods <ci-train-bot@canonical.com>  Fri, 18 Sep 2015 10:50:35 +0000

libqtdbustest (0.2+15.10.20150604-0ubuntu1) wily; urgency=medium

  [ Pete Woods ]
  * Fix FTBFS on PPC (LP: #1451507)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 04 Jun 2015 11:03:52 +0000

libqtdbustest (0.2+14.04.20140325-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Correctly handle crashing child processes (LP: #1296744)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Mar 2014 12:50:21 +0000

libqtdbustest (0.2+14.04.20140303.1-0ubuntu1) trusty; urgency=low

  [ Pete Woods ]
  * Valgrind is not present on all architectures. (LP: #1263926,
    #1263925, #1262638)


=== debian/control ===
--- 
+++ 
@@ -4,19 +4,22 @@
 Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
-               cmake-extras (>= 0.10),
+               cmake-extras (>= 1.5-7~),
                gcovr,
                lcov,
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                gettext,
-               google-mock (>= 1.6.0+svn437),
+               googletest,
+               libgtest-dev,
                pkg-config,
                qtbase5-dev,
                python3-dbusmock,
                dbus,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://launchpad.net/libqtdbustest
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libqtdbustest.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libqtdbustest

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

NULL  =

include /usr/share/dpkg/pkg-info.mk

PKD   = $(word 2, abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +repack1
VER  ?= $(subst $(DTYPE),,$(UVER))
REV   = $(shell echo $(VER) | perl -ne 'print "$$1" if m/(?:git|svn|hg|bzr)(\d+)/;')

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
RUN_TESTS=yes
endif

# hide system's DBus interfaces from this build...
undefine DBUS_SESSION_BUS_ADDRESS
undefine DBUS_SYSTEM_BUS_ADDRESS

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.bzr

override_dh_auto_test:
	if [ "$(RUN_TESTS)" = "yes" ]; then dh_auto_test --no-parallel -- ARGS='-V'; fi

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

## checkout from bzr (add "bzr (>= 2.6.0~bzr6520)" to Build-Depends, see #666496)
UURL = lp:libqtdbustest
$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	bzr checkout --hardlink --lightweight --revision=$(REV) $(UURL) $(PKG)-$(VER) \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Creating ChangeLog..."
	cd $(PKG)-$(VER) && bzr log --log-format=line > ChangeLog.bzr
	@echo "# Modifying..."
	cd $(PKG)-$(VER) && rm -Rfv \
	    .bzr-builddeb \
	    .bzr \
	    debian \
	    $(NULL)
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

## libqtdbustest 0.3.2

=== debian/changelog ===
libqtdbustest (0.3.2-3build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:38:02 +0000

libqtdbustest (0.3.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:31:51 +0000

libqtdbustest (0.3.2-3build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:41:08 +0000

libqtdbustest (0.3.2-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control: Drop Debian UBports Team from Uploaders: field.
    Team is now maintainer.

  [ Marius Gripsgard ]
  * debian/patches: Add patch to workaround cmake bug (Closes: #1058527)

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 28 Jan 2024 01:35:54 +0100

libqtdbustest (0.3.2-2) unstable; urgency=medium

  * debian/control:
    + Move package maintenance over to Debian UBports Team.
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Aug 2023 08:28:46 +0200

libqtdbustest (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * Switch upstream to ubports (launchpad version has been abandoned)
  * debian/symbols: Refresh symbols to match upstream release
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 00:00:42 +0200

libqtdbustest (0.2+bzr42+repack1-14) unstable; urgency=medium

  * debian/patches:
    + Replace 1001_use-full-path-when-executing-sleep.patch by
      1001_disable-suicidal-process-test.patch. (Closes: #1021251).
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Oct 2022 21:00:06 +0000

libqtdbustest (0.2+bzr42+repack1-13) unstable; urgency=medium

  * debian/patches:
    + Update 1004_make-reading-address-from-dbus-daemon-more-robust.patch.
      Provide backwards-compatible behavior in starting dbus-daemon in
      DBusTestRunner. (Closes: #1020848).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 13:34:01 +0200

libqtdbustest (0.2+bzr42+repack1-12) unstable; urgency=medium

  * debian/patches:
    + Add 1004_make-reading-address-from-dbus-daemon-more-robust.patch.
      Thanks to Guido Berhörster for dealing with these kinds of test
      failures. (Closes: #1019458).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Sep 2022 13:00:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: libqtdbustest
 Section: devel
 Priority: optional
-Maintainer: The Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Debian UBports Team <team+ubports@tracker.debian.org>,
+ Marius Gripsgard <mariogrip@debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 1.5-7~),
                gcovr,
                lcov,
                debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1.1),
                gettext,
                googletest,
                libgtest-dev,
@@ -18,11 +18,11 @@
                qtbase5-dev,
                python3-dbusmock,
                dbus,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://launchpad.net/libqtdbustest
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/libqtdbustest.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/libqtdbustest
+Homepage: https://gitlab.com/ubports/development/core/libqtdbustest
+Vcs-Git: https://salsa.debian.org/ubports-team/libqtdbustest.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/libqtdbustest
 
 Package: libqtdbustest1
 Section: libs
@@ -41,7 +41,6 @@
 Package: libqtdbustest1-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libqtdbustest1 (= ${binary:Version}),
          ${misc:Depends},
 Description: Library for testing DBus interactions using Qt (development files)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
RUN_TESTS=yes
endif

# hide system's DBus interfaces from this build...
undefine DBUS_SESSION_BUS_ADDRESS
undefine DBUS_SYSTEM_BUS_ADDRESS

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	if [ "$(RUN_TESTS)" = "yes" ]; then dh_auto_test --no-parallel -- ARGS='-V'; fi

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/libqtdbustest/-/tags .*/libqtdbustest-(\d\S+)\.tar\.gz

## libqtdbustest 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,7 @@
 set(QTDBUSTEST_WATCHDOG_BIN "${CMAKE_INSTALL_FULL_LIBEXECDIR}/libqtdbustest/watchdog")
 
 add_definitions(
-	-std=c++11
+	-std=c++17
 	-fno-permissive
 	-pedantic
 	-Wall

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,7 @@
 
 set(CMAKE_AUTOMOC OFF)
-include(FindGMock)
+find_package(GMock)
 set(CMAKE_AUTOMOC ON)
-
-find_package("Valgrind" REQUIRED)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 include_directories(${GMOCK_INCLUDE_DIRS})
@@ -26,11 +24,11 @@
 	${UNIT_TESTS_SRC}
 )
 
-qt5_use_modules(
+target_link_libraries(
 	unit-tests
-	Core
-	DBus
-	Test
+	Qt5::Core
+	Qt5::DBus
+	Qt5::Test
 )
 
 target_link_libraries(
@@ -40,7 +38,7 @@
 	${GMOCK_LIBRARIES}
 )
 
-add_valgrind_test(
+add_test(
 	unit-tests
 	unit-tests
 )

=== src/libqtdbustest/CMakeLists.txt ===
--- 
+++ 
@@ -22,11 +22,11 @@
 	${QTDBUSTEST_SRC}
 )
 
-qt5_use_modules(
+target_link_libraries(
 	qtdbustest
-	Core
-	DBus
-	Test
+	Qt5::Core
+	Qt5::DBus
+	Qt5::Test
 )
 
 set_target_properties(

=== src/qdbus-test-runner/CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,9 @@
 	qtdbustest
 )
 
-qt5_use_modules(
+target_link_libraries(
 	qdbus-simple-test-runner
-	Core
+	Qt5::Core
 )
 
 install(

=== src/watchdog/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 	main.cpp
 )
 
-qt5_use_modules(
+target_link_libraries(
 	watchdog
-	Core
+	Qt5::Core
 )
 
 install(

=== debian/changelog ===
libqtdbustest (0.3.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + In B-D, switch from pkg-config to pkgconf.
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/rules:
    + Add get-orig-source target (for the maintainers' convenience).
  * debian/patches/1004_make-reading-address-from-dbus-daemon-more-robust.patch:
    + Fix typo in patch header.
  * debian/upstream/metadata:
    + Update file. Add more fields.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 10:54:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libqtdbustest
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <mariogrip@debian.org>,
@@ -14,11 +13,11 @@
                gettext,
                googletest,
                libgtest-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev,
                python3-dbusmock,
                dbus,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/libqtdbustest
 Vcs-Git: https://salsa.debian.org/ubports-team/libqtdbustest.git

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,6 @@
 
 override_dh_auto_test:
 	if [ "$(RUN_TESTS)" = "yes" ]; then dh_auto_test --no-parallel -- ARGS='-V'; fi
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=..

## libqtdbustest 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,19 @@
-project(libqtdbustest CXX)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.24)
+project(libqtdbustest VERSION "0.4.0" LANGUAGES CXX)
 
+option(ENABLE_QT6 "Enable building with Qt6" OFF)
+if (ENABLE_QT6)
+    set(QT_VERSION_MAJOR 6)
+    set(QT_SUFFIX "-qt6")
+else()
+    set(QT_VERSION_MAJOR 5)
+endif()
+
+set(ABI_VERSION 1)
 set(API_VERSION 1)
-set(ABI_VERSION 1)
+if (NOT ENABLE_QT6)
+set(API_SUFFIX "-${API_VERSION}")
+endif()
 
 set(GETTEXT_PACKAGE libqtdbustest)
 
@@ -10,14 +21,7 @@
 
 find_package(PkgConfig REQUIRED)
 
-find_package(Qt5Core REQUIRED)
-include_directories(${Qt5Core_INCLUDE_DIRS})
-
-find_package(Qt5DBus COMPONENTS Qt5DBusMacros REQUIRED)
-include_directories(${Qt5DBus_INCLUDE_DIRS})
-
-find_package(Qt5Test REQUIRED)
-include_directories(${Qt5Test_INCLUDE_DIRS})
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus Test)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 
 add_subdirectory(watchdog)
 add_subdirectory(libqtdbustest)
+add_subdirectory(qdbus-test-runner)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -26,14 +26,14 @@
 
 target_link_libraries(
 	unit-tests
-	Qt5::Core
-	Qt5::DBus
-	Qt5::Test
+	Qt::Core
+	Qt::DBus
+	Qt::Test
 )
 
 target_link_libraries(
 	unit-tests
-	qtdbustest
+	qtdbustest${QT_SUFFIX}
 	${GTEST_LIBRARIES}
 	${GMOCK_LIBRARIES}
 )

=== src/libqtdbustest/CMakeLists.txt ===
--- 
+++ 
@@ -17,20 +17,20 @@
 )
 
 add_library(
-	qtdbustest
+	qtdbustest${QT_SUFFIX}
 	SHARED
 	${QTDBUSTEST_SRC}
 )
 
 target_link_libraries(
-	qtdbustest
-	Qt5::Core
-	Qt5::DBus
-	Qt5::Test
+	qtdbustest${QT_SUFFIX}
+	Qt::Core
+	Qt::DBus
+	Qt::Test
 )
 
 set_target_properties(
-	qtdbustest
+	qtdbustest${QT_SUFFIX}
 	PROPERTIES
 	VERSION ${API_VERSION}.0.0
 	SOVERSION ${ABI_VERSION}
@@ -38,14 +38,15 @@
 )
 
 install(
-	TARGETS qtdbustest
+	TARGETS qtdbustest${QT_SUFFIX}
 	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
-	PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libqtdbustest-${API_VERSION}/libqtdbustest"
+	PUBLIC_HEADER DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libqtdbustest${QT_SUFFIX}${API_SUFFIX}/libqtdbustest"
 )
 
 # Package config
 
-set(LIBQTDBUSTEST_PC "${CMAKE_CURRENT_BINARY_DIR}/libqtdbustest-${API_VERSION}.pc")
+set(LIBQTDBUSTEST_PC "${CMAKE_CURRENT_BINARY_DIR}/libqtdbustest${QT_SUFFIX}${API_SUFFIX}.pc")
+set(LIBQTDBUSTEST_REQUIRES Qt${QT_VERSION_MAJOR}Core)
 configure_file("libqtdbustest.pc.in" "${LIBQTDBUSTEST_PC}" @ONLY)
 
 install(

=== src/qdbus-test-runner/CMakeLists.txt ===
--- 
+++ 
@@ -6,12 +6,12 @@
 
 target_link_libraries(
 	qdbus-simple-test-runner
-	qtdbustest
+	qtdbustest${QT_SUFFIX}
 )
 
 target_link_libraries(
 	qdbus-simple-test-runner
-	Qt5::Core
+	Qt::Core
 )
 
 install(

=== src/watchdog/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 target_link_libraries(
 	watchdog
-	Qt5::Core
+	Qt::Core
 )
 
 install(

=== debian/changelog ===
libqtdbustest (0.4.0-2) unstable; urgency=medium

  * debian/control:
    + Add B:/R: to qtdbustest-common: libqtdbustest1 (<< 0.4.0-1~). (Closes:
      #1114762).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 13 Sep 2025 09:47:31 +0200

libqtdbustest (0.4.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Support building with CMake 4. (Closes: #1113192)."
  * debian/patches:
    + Add 1006_drop-libexecdir-special-behaviour-for-Debian.patch. Drop special
      CMake adjustments for libexecdir if building on a Debian-like system.
    + Update headers of patches 1003 and 1004 (forwarded upstream, adjust long
      description).
  * debian/control:
    + Assure that libqtdbustest-qt6-1 -> qtdbustest-common and libqtdbustest1
      -> qtdbustest-common have a relations that are binNMU-able.
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Trivially rebase patches 1005 and 2001.
  * debian/libqtdbustest1.symbols:
    + Drop file. Discontinuing .symbol file provisioning for C++ libraries.

  [ Guido Berhörster ]
  * debian/:
    + Dually build against Qt5 and Qt6.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 02 Sep 2025 17:28:02 +0200

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,10 @@
                libgtest-dev,
                pkgconf,
                qtbase5-dev,
+               qt6-base-dev,
                python3-dbusmock,
                dbus,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/libqtdbustest
 Vcs-Git: https://salsa.debian.org/ubports-team/libqtdbustest.git
@@ -28,23 +29,54 @@
 Architecture: any
 Multi-Arch: same
 Depends: dbus,
+         qtdbustest-common (>= ${source:Version}),
+         qtdbustest-common-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Description: Library for testing DBus interactions using Qt
+Description: Library for testing DBus interactions using Qt 5
  A simple library for testing Qt based DBus services and clients. This
- library is relevant for running unit tests against DBus for Qt
+ library is relevant for running unit tests against DBus for Qt 5
  applications.
  .
- This package contains the shared library.
+ This package contains the shared Qt 5 library.
 
 Package: libqtdbustest1-dev
 Section: libdevel
 Architecture: any
 Depends: libqtdbustest1 (= ${binary:Version}),
          ${misc:Depends},
-Description: Library for testing DBus interactions using Qt (development files)
+Description: Library for testing DBus interactions using Qt 5 -- development files
  A simple library for testing Qt based DBus services and clients. This
- library is relevant for running unit tests against DBus for Qt
+ library is relevant for running unit tests against DBus for Qt 5
+ applications.
+ .
+ This package contains header files needed for development.
+
+Package: libqtdbustest-qt6-1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: dbus,
+         qtdbustest-common (>= ${source:Version}),
+         qtdbustest-common-bin (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: Library for testing DBus interactions using Qt 6
+ A simple library for testing Qt based DBus services and clients. This
+ library is relevant for running unit tests against DBus for Qt 6
+ applications.
+ .
+ This package contains the shared Qt 6 library.
+
+Package: libqtdbustest-qt6-dev
+Section: libdevel
+Architecture: any
+Depends: libqtdbustest-qt6-1 (= ${binary:Version}),
+         ${misc:Depends},
+Description: Library for testing DBus interactions using Qt 6 -- development files
+ A simple library for testing Qt based DBus services and clients. This
+ library is relevant for running unit tests against DBus for Qt 6
  applications.
  .
  This package contains header files needed for development.
@@ -55,9 +87,32 @@
          ${shlibs:Depends},
          ${misc:Depends},
          gvfs-backends,
-Description: Library for testing DBus interactions using Qt (test runner executable)
+Description: Library for testing DBus interactions using Qt -- test runner executable
  The libqtdbustest library is a simple library for testing Qt based DBus
  services and clients.
  .
  This package contains a simple executable for running a test script
  under a private DBus environment.
+
+Package: qtdbustest-common
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Breaks: libqtdbustest1 (<< 0.4.0-1~),
+Replaces: libqtdbustest1 (<< 0.4.0-1~),
+Description: Library for testing DBus interactions using Qt -- common data
+ The libqtdbustest library is a simple library for testing Qt based DBus
+ services and clients.
+ .
+ This package contains data files common to all library variants.
+
+Package: qtdbustest-common-bin
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Description: Library for testing DBus interactions using Qt -- common binaries
+ The libqtdbustest library is a simple library for testing Qt based DBus
+ services and clients.
+ .
+ This package contains helper binaries common to all library variants.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# hide system's DBus interfaces from this build...
undefine DBUS_SESSION_BUS_ADDRESS
undefine DBUS_SYSTEM_BUS_ADDRESS

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt6 --buildsystem=cmake -- \
	    -DENABLE_QT6=ON ..
	dh_auto_configure --builddirectory=build-qt5 --buildsystem=cmake -- ..

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt6 --buildsystem=cmake ..
	dh_auto_build --builddirectory=build-qt5 --buildsystem=cmake ..

override_dh_auto_test:
	dh_auto_test --builddirectory=build-qt6 --buildsystem=cmake ..
	dh_auto_test --builddirectory=build-qt5 --buildsystem=cmake ..

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt6 --buildsystem=cmake ..
	dh_auto_install --builddirectory=build-qt5 --buildsystem=cmake ..

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt6 --buildsystem=cmake ..
	dh_auto_clean --builddirectory=build-qt5 --buildsystem=cmake ..

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
